Paycose Docs
Tax Rate
GET/tax_rates

List Tax Rates

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/tax_rates/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[active]=&filter[created_at]=&filter[effective_percentage]=&filter[flat_amount]=&filter[flat_amount_currency]=&filter[id]=&filter[inclusive]=&filter[jurisdiction]=&filter[jurisdiction_level]=&filter[labels]=&filter[percentage]=&filter[rate_type]=&filter[state]=&filter[tax_country]=&filter[tax_type]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": null,
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "active": false,
      "description": "<string>",
      "display_name": "<string>",
      "inclusive": false,
      "percentage": 0.0,
      "metadata": "<datatypes.JSON>",
      "region": {
        "country": "<string>",
        "state": "<string>",
        "jurisdiction": "<string>",
        "jurisdiction_level": "<string>",
        "tax_type": "<string>"
      },
      "effective_percentage": 0.0,
      "rate_type": "<string>",
      "flat_amount": 0,
      "flat_amount_currency": "<string>",
      "labels": "<core.Labels>"
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page